﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Scrollable Grid</title>
    <script src="scripts/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script src="scripts/jquery.tablesorter.min.js" type="text/javascript"></script>
    <script type = "text/javascript">
        $(document).ready(function() {
            $("#<%=GridView1.ClientID%>").tablesorter();
            SetDefaultSortOrder();
        });


        function Sort(cell, sortOrder) {
            var sorting = [[cell.cellIndex, sortOrder]];
            $("#<%=GridView1.ClientID%>").trigger("sorton", [sorting]);
            if (sortOrder == 0) {
                sortOrder = 1;
                cell.className = "sortDesc";
            }
            else {
                sortOrder = 0;
                cell.className = "sortAsc";
            }
            cell.setAttribute("onclick", "Sort(this, " + sortOrder + ")");
            cell.onclick = function() { Sort(this, sortOrder); };
            document.getElementById("container").scrollTop = 0;
        }


        function SetDefaultSortOrder() {
            var gvHeader = document.getElementById("dummyHeader");
            var headers = gvHeader.getElementsByTagName("TH");
            for (var i = 0; i < headers.length; i++) {
                headers[i].setAttribute("onclick", "Sort(this, 1)");
                headers[i].onclick = function() { Sort(this, 1); };
                headers[i].className = "sortDesc";
            }
        }

    </script>
    <style type = "text/css">
        .sortAsc
        {
            background-image: url(images/asc.gif);
	        background-repeat: no-repeat;
	        background-position: center right;
	        cursor: pointer;
	        width:200px;
        }
        .sortDesc
        {
            background-image: url(images/desc.gif);
	        background-repeat: no-repeat;
	        background-position: center right;
	        cursor: pointer;
	        width:200px;
        }
        .grid
        {
            font-family:Arial;
            font-size:10pt;
            width:600px
        }
        .grid THEAD
        {
             background-color:Green;
             color:White;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    
   <table rules="all" border="1" id="dummyHeader" class = "grid" style = "border-collapse:collapse">
		<thead>
			<tr>
				<th scope="col">CustomerId</th>
				<th scope="col">City</th>
				<th scope="col">Country</th>
			</tr>
		</thead>
	</table>
	<div id = "container" style ="height:200px;  overflow:auto;width:617px ">
        <asp:GridView ID="GridView1" runat="server"
            AutoGenerateColumns = "false"  CssClass = "grid" >
           <Columns>
            <asp:BoundField ItemStyle-Width = "200px" DataField = "CustomerID" HeaderText = "CustomerId" />
            <asp:BoundField ItemStyle-Width = "200px" DataField = "City"  HeaderText = "City"/>
            <asp:BoundField ItemStyle-Width = "200px" DataField = "Country"  HeaderText = "Country"/>
           </Columns> 
        </asp:GridView>
       </div>
    </form>
</body>
</html>
